Skip to main content
GET
List Trades

Authorizations

Authorization
string
header
required

An Account API key, an App API key, an account access token, an account-scoped user token, or a user OAuth token. Prepend the key or token with Bearer, for example Bearer ***************************. See Auth & API keys for how to get each one.

Headers

Api-Version-Date
string

Pins the request to a dated API version.

Example:

"2026-09-24-1"

Query Parameters

account_id
string

Only return trades for this account or user, prefixed biz_ or user_.

status
enum<string>

Only return trades with this submission status.

Available options:
pending,
submitted,
completed,
failed,
submission_unknown
operation_type
enum<string>

Only return trades of this kind, such as create_orders for order submissions.

Available options:
create_orders,
cancel_orders,
update_leverage
order
enum<string>
default:created_at

Field to sort by.

Available options:
created_at,
updated_at
direction
enum<string>
default:desc

Sort direction.

Available options:
asc,
desc
first
integer
default:20

Number of results to return from the start of the range.

Required range: x <= 100
after
string

Return results after this cursor. Use page_info.end_cursor from the previous response to fetch the next page.

last
integer

Number of results to return from the end of the range.

Required range: x <= 100
before
string

Return results before this cursor. Use page_info.start_cursor from the previous response to fetch the previous page.

Response

trades listed

data
object[]
required
page_info
object
required